Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
bmorencyOffline
15 Post subject: [SOLVED] plasma desktop shell and kwin crash on login  PostPosted: 23.08.2012, 22:17



Joined: 2010-10-22
Posts: 71

Status: Offline
Hi,

I am on a 64-bit system. I am running KDE 4.8.4. Last night I ran a dist-upgrade and now when I login to KDE plasma desktop shell and kwin keep crashing on me. I get a message screen saying plasma desktop shell has closed unexpectedly. I also get 3-4 message screens saying kwin has closed unexpectedly. Once I close the plasma desktop error another window will appear saying "kwin is unstable. it seems to have crashed several times in a row." At this point it asks me to pick a new window manager but the box is empty. When I close all the error messages nothing happens and I never get a desktop.

When I go to the developer information tab on the error screen the box is empty. I do not have the proper debugger package installed. I am not sure which one I should have installed. Anyone have any ideas which I should install?

What other information is needed to troubleshoot this issue? I can post anything someone might need. One thing I have tried is to rename my .kde folder in my home folder to see if that would help but it has not.

Thank you.


Last edited by bmorency on 27.08.2012, 02:37; edited 2 times in total
 
 View user's profile Send private message  
Reply with quote Back to top
slhOffline
Post subject: RE: plasma desktop shell and kwin crash on login  PostPosted: 23.08.2012, 22:43



Joined: 2010-08-25
Posts: 731

Status: Offline
The first logfiles to check would be /var/log/kdm.log and /var/log/Xorg.0.log. Furthermore it would help a lot to know more about the previous known good system state (last successful upgrade), to start pinpointing what might actually break. Given that Debian is mostly in freeze for wheezy, there aren't that fundamental changes happening at the moment, so breakage should be less likely and easier to point out.

As a temporary workaround, it might help to install an alternative desktop environment like XFCE4:
      Code:
apt-get update
apt-get install -o APT::Install-Recommends=1 xfce4
 
 View user's profile Send private message  
Reply with quote Back to top
bmorencyOffline
Post subject: Re: RE: plasma desktop shell and kwin crash on login  PostPosted: 23.08.2012, 23:57



Joined: 2010-10-22
Posts: 71

Status: Offline
      slh wrote:
Furthermore it would help a lot to know more about the previous known good system state (last successful upgrade), to start pinpointing what might actually break. Given that Debian is mostly in freeze for wheezy, there aren't that fundamental changes happening at the moment, so breakage should be less likely and easier to point out.


Ok Below is my last two dist-upgrades showing what was done. The dist-upgrade I did on august 12 I did not have any problems that I noticed.

      Code:
Start-Date: 2012-08-12  14:59:38
Commandline: apt-get dist-upgrade
Install: linux-image-3.5-1.slh.2-aptosid-amd64:amd64 (3.5-6), linux-headers-3.5-1.slh.2-aptosid-amd64:amd64 (3.5-6)
Upgrade: libsmbclient:amd64 (3.6.6-2, 3.6.6-3), libgconf-2-4:amd64 (3.2.5-1, 3.2.5-1+build1), gconf2-common:amd64 (3.2.5-1, 3.2.5-1+build1), libgtk2.0-common:amd64 (2.24.10-1, 2.24.10-2), libqt4-declarative:amd64 (4.8.2-2, 4.8.2-2+b1), icedove:amd64 (10.0.5-1, 10.0.6-1),
 ttf-dejavu-extra:amd64 (2.33-2, 2.33-3), libqt4-qt3support:amd64 (4.8.2-2, 4.8.2-2+b1), nbd-client:amd64 (3.2-1, 3.2-1.1), smbclient:amd64 (3.6.6-2, 3.6.6-3), iso-codes:amd64 (3.37-1, 3.38-1), qdbus:amd64 (4.8.2-2, 4.8.2-2+b1), ttf-dejavu-core:amd64 (2.33-2, 2.33-3), li
botr2:amd64 (3.2.0-4, 3.2.1-1), libppl9:amd64 (0.11.2-6.1, 0.11.2-7), chromium-browser:amd64 (20.0.1132.57~r145807-1, 21.0.1180.75~r150248-1), libqt4-test:amd64 (4.8.2-2, 4.8.2-2+b1), libqt4-script:amd64 (4.8.2-2, 4.8.2-2+b1), libqt4-designer:amd64 (4.8.2-2, 4.8.2-2+b1),
 libqt4-network:amd64 (4.8.2-2, 4.8.2-2+b1), libqt4-dbus:amd64 (4.8.2-2, 4.8.2-2+b1), libcap2:amd64 (2.22-1.1, 2.22-1.2), libpwl5:amd64 (0.11.2-6.1, 0.11.2-7), screen:amd64 (4.1.0~20120320gitdb59704-5, 4.1.0~20120320gitdb59704-6), gconf2:amd64 (3.2.5-1, 3.2.5-1+build1),
libotr2-bin:amd64 (3.2.0-4, 3.2.1-1), libwbclient0:amd64 (3.6.6-2, 3.6.6-3), libfftw3-3:amd64 (3.3.2-3, 3.3.2-3.1), libapt-inst1.5:amd64 (0.9.7.3, 0.9.7.4), libdebian-installer-extra4:amd64 (0.81, 0.82), libthai-data:amd64 (0.1.18-1, 0.1.18-2), libqt4-opengl:amd64 (4.8.2
-2, 4.8.2-2+b1), aptosid-settings-kde:amd64 (1.2.12, 1.2.13), libdlrestrictions1:amd64 (0.15.1, 0.15.2), apt-utils:amd64 (0.9.7.3, 0.9.7.4), libqt4-xmlpatterns:amd64 (4.8.2-2, 4.8.2-2+b1), libqt4-sql-sqlite:amd64 (4.8.2-2, 4.8.2-2+b1), libqt4-dbg:amd64 (4.8.2-2, 4.8.2-2+
b1), samba-common:amd64 (3.6.6-2, 3.6.6-3), libgconf2-4:amd64 (3.2.5-1, 3.2.5-1+build1), acpid:amd64 (2.0.16-1, 2.0.16-2), libqt4-help:amd64 (4.8.2-2, 4.8.2-2+b1), apt:amd64 (0.9.7.3, 0.9.7.4), chromium:amd64 (20.0.1132.57~r145807-1, 21.0.1180.75~r150248-1), libppl-c4:am
d64 (0.11.2-6.1, 0.11.2-7), libcurl3:amd64 (7.26.0-1, 7.27.0-1), libqtcore4:amd64 (4.8.2-2, 4.8.2-2+b1), amarok-utils:amd64 (2.6~beta1+75.g47e75df-1, 2.6~rc1-1), libgtk-3-0:amd64 (3.4.2-2, 3.4.2-3), libdebian-installer4:amd64 (0.81, 0.82), libpulse-mainloop-glib0:amd64 (
2.0-4, 2.0-5), amarok:amd64 (2.6~beta1+75.g47e75df-1, 2.6~rc1-1), libthai0:amd64 (0.1.18-1, 0.1.18-2), libgail-3-0:amd64 (3.4.2-2, 3.4.2-3), fll-iso2usb:amd64 (0.10.4, 0.10.5), amarok-common:amd64 (2.6~beta1+75.g47e75df-1, 2.6~rc1-1), wget:amd64 (1.13.4-3, 1.14-1), libap
t-pkg4.12:amd64 (0.9.7.3, 0.9.7.4), chromium-inspector:amd64 (20.0.1132.57~r145807-1, 21.0.1180.75~r150248-1), libqt4-sql:amd64 (4.8.2-2, 4.8.2-2+b1), libqt4-svg:amd64 (4.8.2-2, 4.8.2-2+b1), samba:amd64 (3.6.6-2, 3.6.6-3), linux-image-aptosid-amd64:amd64 (3.5-3, 3.5-6),
libqt4-xml:amd64 (4.8.2-2, 4.8.2-2+b1), linux-headers-aptosid-amd64:amd64 (3.5-3, 3.5-6), ttf-dejavu:amd64 (2.33-2, 2.33-3), libqtgui4:amd64 (4.8.2-2, 4.8.2-2+b1), distro-defaults:amd64 (4.0.5, 4.0.6), libsasl2-2:amd64 (2.1.25.dfsg1-4+b1, 2.1.25.dfsg1-5), libqt4-webkit:a
md64 (4.8.2-2, 4.8.2-2+b1), gconf-service:amd64 (3.2.5-1, 3.2.5-1+build1), libpulse0:amd64 (2.0-4, 2.0-5), libcurl3-gnutls:amd64 (7.26.0-1, 7.27.0-1), libqt4-sql-mysql:amd64 (4.8.2-2, 4.8.2-2+b1), libqt4-scripttools:amd64 (4.8.2-2, 4.8.2-2+b1), libsasl2-modules:amd64 (2.
1.25.dfsg1-4+b1, 2.1.25.dfsg1-5), libgtk-3-common:amd64 (3.4.2-2, 3.4.2-3), libgtk2.0-0:amd64 (2.24.10-1, 2.24.10-2)
End-Date: 2012-08-12  15:02:59


Start-Date: 2012-08-22  19:42:58
Commandline: apt-get dist-upgrade
Install: linux-image-3.5-2.slh.3-aptosid-amd64:amd64 (3.5-10), linux-headers-3.5-2.slh.3-aptosid-amd64:amd64 (3.5-10)
Upgrade: libstdc++6:amd64 (4.7.1-6, 4.7.1-7), aptosid-art-wallpaper-ponos:amd64 (2011.03.14, 2011.03.16), libqt4-declarative:amd64 (4.8.2-2+b1, 4.8.2+dfsg-1), libgraphicsmagick3:amd64 (1.3.16-1, 1.3.16-1.1), console-setup:amd64 (1.81, 1.82), icedove:amd64 (10.0.6-1, 10.0
.6-2), libqt4-qt3support:amd64 (4.8.2-2+b1, 4.8.2+dfsg-1), sysvinit-utils:amd64 (2.88dsf-29, 2.88dsf-31), aptosid-art-kdm-keres:amd64 (2011.03.14, 2011.03.16), libgudev-1.0-0:amd64 (175-5, 175-7), libicu48:amd64 (4.8.1.1-8, 4.8.1.1-9), qdbus:amd64 (4.8.2-2+b1, 4.8.2+dfsg
-1), aptosid-scripts:amd64 (0.4.17, 0.4.18), libppl9:amd64 (0.11.2-7, 0.11.2-8), aptosid-art-kdm-ponos:amd64 (2011.03.14, 2011.03.16), libspectre1:amd64 (0.2.6-2, 0.2.7-2), g++-4.6:amd64 (4.6.3-8, 4.6.3-9), g++-4.7:amd64 (4.7.1-6, 4.7.1-7), libqt4-test:amd64 (4.8.2-2+b1,
 4.8.2+dfsg-1), libqt4-script:amd64 (4.8.2-2+b1, 4.8.2+dfsg-1), libqt4-designer:amd64 (4.8.2-2+b1, 4.8.2+dfsg-1), xserver-xorg-core:amd64 (1.12.3-1, 1.12.3.902-1), libqt4-network:amd64 (4.8.2-2+b1, 4.8.2+dfsg-1), libqt4-dbus:amd64 (4.8.2-2+b1, 4.8.2+dfsg-1), aptosid-art-
kde-imera:amd64 (2011.03.14, 2011.03.16), libpython2.7:amd64 (2.7.3-2, 2.7.3-3), xserver-common:amd64 (1.12.3-1, 1.12.3.902-1), gcc-4.6-base:amd64 (4.6.3-8, 4.6.3-9), libpwl5:amd64 (0.11.2-7, 0.11.2-8), logrotate:amd64 (3.8.1-4, 3.8.2-1), aptosid-art-kde-geras:amd64 (201
1.03.14, 2011.03.16), aptosid-art-ksplash-apate:amd64 (2011.03.14, 2011.03.16), libgomp1:amd64 (4.7.1-6, 4.7.1-7), console-setup-linux:amd64 (1.81, 1.82), liblapack3gf:amd64 (3.4.1-5, 3.4.1-6), python2.7:amd64 (2.7.3-2, 2.7.3-3), libdebian-installer-extra4:amd64 (0.82, 0
.83), libqt4-opengl:amd64 (4.8.2-2+b1, 4.8.2+dfsg-1), libmysqlclient18:amd64 (5.5.24+dfsg-6, 5.5.24+dfsg-7), gcc-4.6:amd64 (4.6.3-8, 4.6.3-9), gcc-4.7:amd64 (4.7.1-6, 4.7.1-7), libqt4-xmlpatterns:amd64 (4.8.2-2+b1, 4.8.2+dfsg-1), libqt4-sql-sqlite:amd64 (4.8.2-2+b1, 4.8.
2+dfsg-1), libqt4-dbg:amd64 (4.8.2-2+b1, 4.8.2+dfsg-1), libquadmath0:amd64 (4.7.1-6, 4.7.1-7), libjson0:amd64 (0.9-1.1, 0.10-1), libgcc1:amd64 (4.7.1-6, 4.7.1-7), udev:amd64 (175-5, 175-7), libqt4-help:amd64 (4.8.2-2+b1, 4.8.2+dfsg-1), aptosid-art-kde-keres:amd64 (2011.0
3.14, 2011.03.16), debconf-i18n:amd64 (1.5.45, 1.5.46), libppl-c4:amd64 (0.11.2-7, 0.11.2-8), libqtcore4:amd64 (4.8.2-2+b1, 4.8.2+dfsg-1), amarok-utils:amd64 (2.6~rc1-1, 2.6.0-1), aptosid-art-ksplash-imera:amd64 (2011.03.14, 2011.03.16), aptosid-art-kde-ponos:amd64 (2011
.03.14, 2011.03.16), ifupdown:amd64 (0.7.1, 0.7.2), libdebian-installer4:amd64 (0.82, 0.83), libssh2-1:amd64 (1.4.2-1, 1.4.2-1.1), libpulse-mainloop-glib0:amd64 (2.0-5, 2.0-6), amarok:amd64 (2.6~rc1-1, 2.6.0-1), libstdc++6-4.6-dev:amd64 (4.6.3-8, 4.6.3-9), aptosid-art-ks
plash-geras:amd64 (2011.03.14, 2011.03.16), fll-iso2usb:amd64 (0.10.5, 0.10.6), aptosid-art-kdm-apate:amd64 (2011.03.14, 2011.03.16), amarok-common:amd64 (2.6~rc1-1, 2.6.0-1), keyboard-configuration:amd64 (1.81, 1.82), libqt4-sql:amd64 (4.8.2-2+b1, 4.8.2+dfsg-1), libqt4-
svg:amd64 (4.8.2-2+b1, 4.8.2+dfsg-1), debconf-utils:amd64 (1.5.45, 1.5.46), linux-image-aptosid-amd64:amd64 (3.5-6, 3.5-10), libqt4-xml:amd64 (4.8.2-2+b1, 4.8.2+dfsg-1), linux-headers-aptosid-amd64:amd64 (3.5-6, 3.5-10), aptosid-art-wallpaper-imera:amd64 (2011.03.14, 201
1.03.16), libudev0:amd64 (175-5, 175-7), gcc-4.7-base:amd64 (4.7.1-6, 4.7.1-7), libqtgui4:amd64 (4.8.2-2+b1, 4.8.2+dfsg-1), tzdata:amd64 (2012d-1, 2012e-1), libvdpau1:amd64 (0.4.1-6, 0.4.1-7), aptosid-art-wallpaper-geras:amd64 (2011.03.14, 2011.03.16), aptosid-art-ksplas
h-keres:amd64 (2011.03.14, 2011.03.16), python2.7-minimal:amd64 (2.7.3-2, 2.7.3-3), liblapack3:amd64 (3.4.1-5, 3.4.1-6), libitm1:amd64 (4.7.1-6, 4.7.1-7), libgfortran3:amd64 (4.7.1-6, 4.7.1-7), debconf:amd64 (1.5.45, 1.5.46), libqt4-webkit:amd64 (4.8.2-2+b1, 4.8.2+dfsg-1
), iputils-ping:amd64 (20101006-1+b1, 20101006-2), cpp-4.6:amd64 (4.6.3-8, 4.6.3-9), cpp-4.7:amd64 (4.7.1-6, 4.7.1-7), libpulse0:amd64 (2.0-5, 2.0-6), aptosid-art-ksplash-ponos:amd64 (2011.03.14, 2011.03.16), libqt4-sql-mysql:amd64 (4.8.2-2+b1, 4.8.2+dfsg-1), aptosid-art
-kdm-imera:amd64 (2011.03.14, 2011.03.16), sysv-rc:amd64 (2.88dsf-29, 2.88dsf-31), libqt4-scripttools:amd64 (4.8.2-2+b1, 4.8.2+dfsg-1), libstdc++6-4.7-dev:amd64 (4.7.1-6, 4.7.1-7), aptosid-art-kdm-geras:amd64 (2011.03.14, 2011.03.16), initscripts:amd64 (2.88dsf-29, 2.88d
sf-31), mysql-common:amd64 (5.5.24+dfsg-6, 5.5.24+dfsg-7), ntfs-3g:amd64 (2012.1.15AR.5-4, 2012.1.15AR.6-1), aptosid-art-kde-apate:amd64 (2011.03.14, 2011.03.16), sysvinit:amd64 (2.88dsf-29, 2.88dsf-31), aptosid-art-wallpaper-keres:amd64 (2011.03.14, 2011.03.16), libdmtx
0a:amd64 (0.7.2-2+b1, 0.7.4-1)
End-Date: 2012-08-22  19:47:08



Below is what is in my /var/log/kdm.log


      Code:
Server terminated successfully (0). Closing log file.

X.Org X Server 1.12.3.902 (1.12.4 RC 2)
Release Date: 2012-08-19
X Protocol Version 11, Revision 0
Build Operating System: Linux 3.2.0-3-amd64 x86_64 Debian
Current Operating System: Linux aptosidbox 3.5-2.slh.3-aptosid-amd64 #1 SMP PREEMPT Sun Aug 19 11:43:23 UTC 2012 x86_64
Kernel command line: BOOT_IMAGE=/vmlinuz-3.5-2.slh.3-aptosid-amd64 root=UUID=1ee69775-5312-4842-8ab5-70a6a683042a ro vga=791 quiet
Build Date: 21 August 2012  07:36:50PM
xorg-server 2:1.12.3.902-1 (Julien Cristau <jcristau>)
Current version of pixman: 0.26.0
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Thu Aug 23 18:36:34 2012
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
resize called 1920 1200
The XKEYBOARD keymap compiler (xkbcomp) reports:
> Warning:          Type "ONE_LEVEL" has 1 levels, but <RALT> has 2 symbols
>                   Ignoring extra symbols
Errors from xkbcomp are not fatal to the X server
klauncher(2475) kdemain: No DBUS session-bus found. Check if you have started the DBUS server.
kdeinit4: Communication error with launcher. Exiting!
kdmgreet(2467)/kdecore (K*TimeZone*): KSystemTimeZones: ktimezoned initialize() D-Bus call failed:  "Not connected to D-Bus server"

kdmgreet(2467)/kdecore (K*TimeZone*): No time zone information obtained from ktimezoned
Server terminated successfully (0). Closing log file.


I have attached my Xorg.0.log file. I am using the nouveau video driver. I did a search for any errors and what came up was this:

      Code:

[    26.079] Current Operating System: Linux aptosidbox 3.5-2.slh.3-aptosid-amd64 #1 SMP PREEMPT Sun Aug 19 11:43:23 UTC 2012 x86_64
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    26.838] (II) Loading extension MIT-SCREEN-SAVER
[    27.096] (EE) Failed to load module "nv" (module does not exist, 0)


Thank you for any help.



Xorg.0.log.zip
 Description:

Download
 Filename:  Xorg.0.log.zip
 Filesize:  8.48 KB
 Downloaded:  247 Time(s)

 
 View user's profile Send private message  
Reply with quote Back to top
bmorencyOffline
Post subject:   PostPosted: 24.08.2012, 00:46



Joined: 2010-10-22
Posts: 71

Status: Offline
Something else I just found but not sure if it might mean anything. I ran dmesg and the last line was the following

      Code:
[   95.934203] plasma-desktop[2811]: segfault at ffffffffffffffff ip 00007f0e039
e4151 sp 00007fffab9a52a8 error 6 in libc-2.13.so[7f0e0395c000+17d000]


If you need other info let me know. BTW, do you know which debug package I could install to get a back trace?

Thank you.
 
 View user's profile Send private message  
Reply with quote Back to top
bmorencyOffline
Post subject:   PostPosted: 24.08.2012, 17:17



Joined: 2010-10-22
Posts: 71

Status: Offline
Does anyone have any ideas what could be causing this issue?

Thank you.
 
 View user's profile Send private message  
Reply with quote Back to top
oldieOffline
Post subject:   PostPosted: 24.08.2012, 18:58



Joined: 2010-09-12
Posts: 27

Status: Offline
libqt4* , libqt4-script = idea
 
 View user's profile Send private message  
Reply with quote Back to top
bmorencyOffline
Post subject:   PostPosted: 24.08.2012, 19:25



Joined: 2010-10-22
Posts: 71

Status: Offline
      oldie wrote:
libqt4* , libqt4-script = idea


Is there a known bug with those packages?
 
 View user's profile Send private message  
Reply with quote Back to top
slhOffline
Post subject:   PostPosted: 26.08.2012, 14:32



Joined: 2010-08-25
Posts: 731

Status: Offline
The bug appears to be influenced by the amount of system RAM available, e.g. it does not manifest itself with ~3 GB of RAM or more, which made this hard to spot. I've uploaded fixed packages to our repo, please test and report.
 
 View user's profile Send private message  
Reply with quote Back to top
DeepDayzeOffline
Post subject:   PostPosted: 26.08.2012, 16:43



Joined: 2010-09-11
Posts: 616
Location: USA
Status: Offline
I haven't seen this bug as my system has 4GB RAM...I might test it with 2GB by temporarily removing one 2GB stick and see if I get the bug
 
 View user's profile Send private message  
Reply with quote Back to top
bmorencyOffline
Post subject:   PostPosted: 27.08.2012, 02:36



Joined: 2010-10-22
Posts: 71

Status: Offline
      slh wrote:
The bug appears to be influenced by the amount of system RAM available, e.g. it does not manifest itself with ~3 GB of RAM or more, which made this hard to spot. I've uploaded fixed packages to our repo, please test and report.


It seems to be fixed now. I can log into KDE now with no issues. In my system I have only 2 GB of RAM.
Thank you for all the help.
 
 View user's profile Send private message  
Reply with quote Back to top
BTOffline
Post subject: plasma desktop shell and kwin crash  PostPosted: 24.11.2012, 15:10



Joined: 2010-09-12
Posts: 40
Location: Belgium
Status: Offline
I ran into the same bug after a dist-upgrade today.
dmesg message is the same.

my system only has 2G of RAM
 
 View user's profile Send private message  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 12 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by Zafenio